@import "../../scss/config";
@import "../../scss/mixin";
@import "../../scss/colors";

$tweakpoints: (
  "verySmall": 320px,
  "inline": 650px,
  "block": 980px
) !default;

.sign-in-up {
  margin: 1rem;
  padding: 0.1rem;
  margin: auto;
  width: fit-content;
  display: flex;
  justify-items: center;
  justify-content: center;
  border-radius: 0.2rem;
  border: 0.1rem solid $second-color;

  .buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  .loadingIcon.lg {
    z-index: 999;
    position: absolute;
    top: 3rem;
    opacity: 1.1;
  }
  &.both {
    @include respond-to("verySmall") {
      background-color: darken($back_main-color--low, 3%);
      display: none;
    }
  }
  &.both {
    @include respond-to("small") {
      background-color: darken($back_main-color--low, 3%);
      display: flex;
    }
  }
}

.sign-in-up.toggle {
  @include respond-to("verySmall") {
    background-color: darken($back_main-color--low, 3%);
    display: grid;
    // font-size: 4vw;
  }
}

.sign-in-up.toggle {
  @include respond-to("small") {
    background-color: darken($back_main-color--low, 3%);
    display: none;
  }
}
